@import "breakpoints";

.horizontal-centered-block {
  position: relative;
  padding-top: 50px;
  margin: 0 auto 0;
  min-width: 260px;
  width: 100%;
  max-width: 500px;

  .theme-card {
    .theme-content {
      .data-group {
        padding: 7.5px 0;

        .input-item {
          position: relative;
          padding: 0 0 25px 0;
          overflow: visible;
          --padding-start: 5px;
          --padding-end: 0;
          --color: var(--ion-color-medium);
          // --background: transparent;

          .input-field {
            --color: var(--fg-main);
            // background-color: transparent;
          }

          .error-note {
            position: absolute;
            right: 15px;
            bottom: -15px;
            font-size: 10px;
            --color: var(--ion-color-danger-shade);
          }

          .suffix-icon {
            margin-top: 20px;
            margin-right: -10px;
            font-size: 16px;
          }
        }

        .config-item {
          --padding-start: 5px;
          --padding-end: 5px;
        }

        .fake-link {
          cursor: pointer;

          &:hover {
            text-decoration: underline;
          }
        }
      }
    }
  }

  .recaptcha-wrapper {
    text-align: center;

    .recaptcha-block {
      display: inline-block;
      border-radius: 3px;
      overflow: hidden;

      .recaptcha-inner {
        margin: 0 -2px -2px 0;
      }
    }
  }
}

@media (max-width: map-get($grid-breakpoints, "xxxl")) {
}
@media (max-width: map-get($grid-breakpoints, "xl")) {
}
@media (max-width: map-get($grid-breakpoints, "lg")) {
}
@media (max-width: map-get($grid-breakpoints, "md")) {
}
@media (max-width: map-get($grid-breakpoints, "sm")) {
  .horizontal-centered-block {
    padding-top: 20px;
  }
}
@media (max-width: map-get($grid-breakpoints, "is")) {
  .horizontal-centered-block {
    padding-top: 0;

    .recaptcha-wrapper {
      .recaptcha-block {
        .recaptcha-inner {
          margin: 0 -6px -6px 0;
        }
      }
    }
  }
}
@media (max-width: map-get($grid-breakpoints, "xs")) {
}
